it-swarm.com.de

@ Angle/cli kann nicht mit npm installiert werden

Ich bin neu bei "@ eckig/cli", ich habe alles versucht, konnte es aber nicht installieren. Ich bin müde, bitte kann mir jemand helfen, die eckigen 4 "@ eckig/cli" in meinem System zu installieren.

knoten und npm Version  enter image description here

und wenn ich "npm install -g @ angle/cli" installiere, bekomme ich  enter image description here

nach der Installation des Knotens -v 6 bekomme ich unter erorr  enter image description here

bitte schlage mir vor, wo ich eigentlich falsch liege. 

18
Rajpurohit

Es könnte ein Problem mit Ihrer Knotenversion sein. Ich empfehle Ihnen, Node erneut zu installieren und es erneut zu versuchen.

Oder Sie können auch versuchen, den Node-Cache von npm cache clean --force zu löschen.

11
Saurabh Agrawal

Mein Freund, 

Bitte versuchen Sie: npm cache clean --force. Möglicherweise wurde Ihr npm-Cache verwirrt.

9
m.alek

Liste der Npm-Registrierung

Um zu wechseln, tippen Sie einfach

npm config set registry "https://registry.npmjs.com/"

Ersetzen Sie die Registrierungs-URL durch die oben genannten URLs. Prüfen Sie, welche für Sie geeignet ist.

Ich bin aus Indien, also habe ich http://r.cnpmjs.org/ benutzt und der gleiche Fehler wurde behoben. 

Hinweis: Verwenden Sie npm cache clear (zum Löschen des Caches) und npm cache verify (zum Überprüfen der Löschung oder nicht). Diese Methode funktioniert für mich

5
Rakesh Roy

Stellen Sie sicher, dass Sie während der Installation nicht mit dem VPN verbunden sind.

Bereinigen Sie außerdem Ihren node_modules-Ordner vor dem nächsten Versuch. Ich verwende den Befehl rimraf node_modules, um dieses Verzeichnis in Windows zu entfernen. 

Versuchen Sie zuletzt, npm install -g @angular/[email protected] auszuführen.

0
rach8garg

Bitte versuchen Sie es mit: 

rm -rf node_modules package-lock.json

Und das,

npm installieren

Wenn es immer noch nicht funktioniert, versuchen Sie cli manuell zu installieren:

npm install --save-dev @ angle/cli

0
Antoni

Daher arbeite ich mit Hyperledger, für das Sie eine bestimmte Node Version 8 benötigen, und daher können Sie nicht die neueste angular Installation verwenden. Vielleicht kann ich eine andere empfehlen Alternative?

cd ins verzeichnis

npm install
npm start

Sie können Ihren npm-Cache auch bereinigen, aber wenn eine Methode nicht funktioniert, versuchen Sie es mit der anderen.

0
Nik Loladze

Wenn ein npm-Paket veröffentlicht wird, generiert der Veröffentlichungsprozess eine Prüfsumme, die npm zur Installationszeit verwendet, um zu überprüfen, ob das Paket beim Transport nicht beschädigt wurde.

Ich hatte genau das gleiche Problem, während ich an einem Client-Standort arbeitete. Das Problem könnte also nicht Ihre Umgebung sein. Sie haben möglicherweise einen Proxy, der konfiguriert werden muss es stimmt etwas nicht, aber als ich mit npm Registry direkt angefangen habe, hat alles gut funktioniert, aber meistens ist es ein Cache-Problem, um sicher zu gehen, dass Sie Folgendes ausführen sollten:

npm Arzt

sie werden wahrscheinlich finden, wo das Problem ist. Wenn nicht, bitte das Ergebnis posten, vielleicht kann ich helfen.

0
Ayoub

run npm install -g @ angle/cli @ latest in Eingabeaufforderung als admin .

klicken Sie mit der rechten Maustaste auf die Windows-Schaltfläche, und klicken Sie auf c-ommand propmt (Admin) oder Windows Power Shell (Admin) , je nach Ihrer Windows-Version. Geben Sie dann den Befehl ein und führen Sie ihn aus. 

In den meisten Fällen kann es zu Problemen kommen, wenn Sie als normaler Benutzer installiert werden möchten, da Sie die Option -g (global) verwenden. 

0

Sowohl das CLI als auch das generierte Projekt weisen Abhängigkeiten auf, die den Knoten 6.9.0 oder höher zusammen mit NPM 3 oder höher erfordern.

Versuchen Sie es mit einer anderen Node-Version.

0
Shiha Mohan

Das wahrscheinlichste Problem liegt beim npm-Cache. Bereinigen Sie einfach Ihren npm-Cache per Befehl 

npm cache clean --force

Es sollte gut funktionieren. 

0
Pullat Junaid

Deinstallieren Sie Ihr Knotenpaket. Und versuche folgendes:

  1. Installieren Sie das neueste Knotenpaket unter https://nodejs.org/de/download/

  2. Überprüfen Sie Ihre Knoten- und NPM-Version mit

knoten -v

npm -v

  1. Installieren Sie jetzt die neueste Angular-Version von

npm install -g @ angle/cli

  1. Überprüfen Sie die Winkelversion durch 

ng v

  1. Beginnen Sie nun mit der Erstellung Ihrer Anwendung unter https://angular.io/guide/quickstart
0
Vignesh

Versuchen Sie zunächst, NodeJS (8.9.3) und npm (5.6.0) zu aktualisieren. Dies sind die LTS-Versionen. Für Node kann das wichtig sein! Wenn dies nicht funktioniert, befolgen Sie diese Installationsanleitung für Windows.

0
Robin Dijkhof

Es ist möglich, dass der npm-Cache eine beschädigte Datei hat. Möglicherweise hat er etwas heruntergeladen und anschließend eine Fehlermeldung erhalten. Versuchen Sie npm cache clean --force und sehen Sie, ob das hilft.

Wenn dies nicht hilft, die in der Fehlermeldung angegebene Protokolldatei zu suchen. Suchen Sie die unexpected end of JSON input-Nachricht in der Protokolldatei und prüfen Sie, ob weitere Hinweise zum Problem vorhanden sind.

Sie haben Ihre Frage mit einer neuen Fehlermeldung aktualisiert. Dieser ist genauer über die beschädigte Datei. Entfernen Sie die cli-1.5.5.tgz-Datei aus dem angegebenen Pfad und versuchen Sie es erneut. Wenn Sie in Ihrem Netzwerk einen Web-Proxy verwenden, ist es auch möglich, dass Ihr Proxy einen beschädigten Cache gespeichert hat: Wenn dies möglich ist, deaktivieren Sie alle für Ihr System konfigurierten Proxys und versuchen Sie es direkt.

0
Duncan

Wir haben das gleiche Problem mit user login und dann haben wir es von Administrator login versucht, dass es für uns funktioniert hat. Bitte machen Sie dasselbe, was auch für Sie behoben werden kann.

0
Muthu

Möglicherweise fehlt Ihnen spacenpm install -g @ angle/cli @ latest

 1) Install node.js and check and node -v in command Prompt. (Node.js 
       through website).
2) npm install -g @angular/[email protected] (run in command Prompt).
Refer this link for further help

https://github.com/angular/angular-cli

    3) Check node -version
    4) Check npm -version
    5) check ng -version

    If already installed, then uninstall it and install again,
    npm uninstall -g @angular/cli
    npm cache clean
0
Mahi

Versuchen Sie es mit Garn

Garn hier installieren https://yarnpkg.com/lang/de/docs/install/

Führen Sie dann dieses Befehlsgarn global add @ angle/cli aus

0
  1. Stellen Sie sicher, dass Ihre Konsole als Administrator ausgeführt wird. 
  2. node & npm neu installieren
  3. angular/cli neu installieren
0
Frank Odoom